Bug 1654809 - [qed] 8.37.7.0 firmware image is needed for DPDK 18.11
Summary: [qed] 8.37.7.0 firmware image is needed for DPDK 18.11
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: linux-firmware
Version: 7.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Bruno Meneguele
QA Contact: Network QE
URL:
Whiteboard:
Depends On:
Blocks: 1707454 1655086 1662151
TreeView+ depends on / blocked
 
Reported: 2018-11-29 17:58 UTC by Timothy Redaelli
Modified: 2019-08-06 13:01 UTC (History)
10 users (show)

Fixed In Version: linux-firmware-20190225-70.git80dee31.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 13:00:52 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2169 0 None None None 2019-08-06 13:01:20 UTC

Description Timothy Redaelli 2018-11-29 17:58:27 UTC
DPDK 18.11 requires storm firmware version 8.37.7.0 (/lib/firmware/qed/qed_init_values-8.37.7.0.bin).

On last linux-firmware (linux-firmware-20180911-69.git85c5d90.el7) only 8.33.12.0 is available.

https://doc.dpdk.org/guides/nics/qede.html#prerequisites

Comment 2 Timothy Redaelli 2018-11-29 19:22:54 UTC
From git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git

commit c7ba355ef94cc85c49f14f76a7a826c46fa12ae1
Author: Mody, Rasesh <Rasesh.Mody@cavium.com>
Date:   Wed Oct 24 00:23:59 2018 +0000

    qed: Add 8.37.7.0 firmware image
    
    This patch adds new 8.37.7.0 firmware image for qed* adpaters with
    enhancements and fixes.
    
    Signed-off-by: Rasesh Mody <rasesh.mody@cavium.com>
    Signed-off-by: Josh Boyer <jwboyer@kernel.org>

Comment 3 Bruno Meneguele 2018-12-10 16:22:16 UTC
Hi Amnon,

before 7.6.z can be accepted we're going to need to understand the needs behind
it, for instance, for z-stream we can't accept any firmware that enables new
features for z-stream kernel drivers. In other words, if RHEL 7.6.z kernel
driver for qed has any access the new features brought by this new version we
can't update the package for z-stream. BUT, if only bugfixes will affect kernel
driver we need at least a hint on the bugs being solved there and also a
confirmation that the vendor will help RedHat's QE to test the firmware once
it's updated, by setting OtherQA flag, since we can't just perform a sanity
check for z-stream.

Because of that, if you don't have all these informations, feel free to bring
any vendor/partner engineer to the discussion to help us to understand the
needs. Unfortunately I can't move forward before we have these questions
answered. Actually I'm no even the one responsible to get the z-stream flag
set, you'll need to reach PM for that, but these questions will, for sure, help
to make it move faster.

Comment 5 Zhang Kexin 2018-12-14 05:39:58 UTC
Hi Tim,

What will happen if we use old firmware version when testing dpdk18.11? Thanks.

Comment 6 Timothy Redaelli 2018-12-14 17:43:25 UTC
testpmd panics at start:

[root@wsfd-netdev27 ~]# testpmd
EAL: Detected 48 lcore(s)
EAL: Detected 2 NUMA nodes
EAL: Multi-process socket /var/run/dpdk/rte/mp_socket
EAL: Probing VFIO support...
EAL: VFIO support initialized
EAL: PCI device 0000:01:00.0 on NUMA socket 0
EAL:   probe driver: 8086:10fb net_ixgbe
EAL:   using IOMMU type 1 (Type 1)
EAL: Ignore mapping IO port bar(2)
EAL: PCI device 0000:01:00.1 on NUMA socket 0
EAL:   probe driver: 8086:10fb net_ixgbe
EAL: Ignore mapping IO port bar(2)
EAL: PCI device 0000:03:00.0 on NUMA socket 0
EAL:   probe driver: 1077:1656 net_qede
[qed_load_firmware_data:135(03:00.0:dpdk-port-2)]Can't open firmware file
[qed_slowpath_start:238(03:00.0:dpdk-port-2)]Failed to find fw file /lib/firmware/qed/qed_init_values-8.37.7.0.bin
[qede_common_dev_init:2510(03:00.0:dpdk-port-2)]Cannot start slowpath rc = -2
EAL: Releasing pci mapped resource for 0000:03:00.0
EAL: Calling pci_unmap_resource for 0000:03:00.0 at 0x4300108000
EAL: Calling pci_unmap_resource for 0000:03:00.0 at 0x4300188000
EAL: Calling pci_unmap_resource for 0000:03:00.0 at 0x4300988000
PANIC in eal_intr_thread_main():
Error adding fd 210 epoll_ctl, Bad file descriptor
5: [/lib64/libc.so.6(clone+0x43) [0x7f34362e3a03]]
4: [/lib64/libpthread.so.0(+0x82de) [0x7f34365b32de]]
3: [/lib64/librte_eal.so.9(+0x1a1ec) [0x7f343741e1ec]]
2: [/lib64/librte_eal.so.9(__rte_panic+0xc1) [0x7f3437410f37]]
1: [/lib64/librte_eal.so.9(rte_dump_stack+0x32) [0x7f343741d752]]
Aborted (core dumped)
[root@wsfd-netdev27 ~]#

Comment 7 Andre Beausoleil 2018-12-18 14:59:44 UTC
Adding Cavium to this BZ for review and update.

Comment 8 Ameen Rahman 2018-12-18 19:27:31 UTC
This firmware is already in upstream Linux-firmware.git and pulled into RHEL8.0 via https://bugzilla.redhat.com/show_bug.cgi?id=1659275.
Please pull the same into RHEL7.7

Comment 9 Amnon Ilan 2018-12-20 13:53:02 UTC
Please open a 7.7 BZ for that (you can clone 1659275)
Thanks

Comment 10 Ameen Rahman 2018-12-20 16:21:01 UTC
Hi, What's the needinfo on me for?

Comment 11 Bruno Meneguele 2018-12-20 17:17:43 UTC
(In reply to Ameen Rahman from comment #10)
> Hi, What's the needinfo on me for?

The needinfo was set in comment#9, which went as 'private' by accident (I think :)).

But I think I can reply to that: Amnon, this BZ requests the same firmware update of BZ 1659275 (RHEL-8 one).
They just have a different description, but represent the same qed_init_values-8.37.7.0.bin unzipped firmware.
With that said there is no need to clone BZ 1659275.

Comment 12 Amnon Ilan 2018-12-26 13:13:47 UTC
(In reply to Bruno Meneguele from comment #11)
> (In reply to Ameen Rahman from comment #10)
> > Hi, What's the needinfo on me for?
> 
> The needinfo was set in comment#9, which went as 'private' by accident (I
> think :)).
> 
> But I think I can reply to that: Amnon, this BZ requests the same firmware
> update of BZ 1659275 (RHEL-8 one).
> They just have a different description, but represent the same
> qed_init_values-8.37.7.0.bin unzipped firmware.
> With that said there is no need to clone BZ 1659275.

Thanks Bruno!

Comment 15 Jean-Tsung Hsiao 2019-02-26 15:52:55 UTC
The firmware, /lib/firmware/qed/qed_init_values-8.37.7.0.bin, has been tested successfully.

Comment 17 errata-xmlrpc 2019-08-06 13:00:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2169


Note You need to log in before you can comment on or make changes to this bug.